Index: issm/trunk/src/c/classes/objects/Params/DoubleMatArrayParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleMatArrayParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleMatArrayParam.cpp	(revision 13975)
@@ -77,5 +77,5 @@
 		xDelete<IssmDouble>(matrix);
 	}
-	
+
 	xDelete<IssmDouble*>(array);
 	return;
@@ -100,5 +100,5 @@
 	int m,n;
 	IssmDouble* matrix=NULL;
-	
+
 	_printLine_("DoubleMatArrayParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -121,10 +121,4 @@
 int    DoubleMatArrayParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::MyRank{{{*/
-int    DoubleMatArrayParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION DoubleMatArrayParam::ObjectEnum{{{*/
 int DoubleMatArrayParam::ObjectEnum(void){
@@ -136,5 +130,5 @@
 /*FUNCTION DoubleMatArrayParam::copy{{{*/
 Object* DoubleMatArrayParam::copy() {
-	
+
 	return new DoubleMatArrayParam(this->enum_type,this->array, this->M, this->mdim_array,this->ndim_array);
 
@@ -156,5 +150,4 @@
 	int*     out_ndim_array=NULL;
 
-
 	out_M=this->M;
 	if(out_M){
@@ -187,5 +180,4 @@
 	}
 
-
 	/*Assign output pointers:*/
 	if(pout_M) *pout_M=out_M;
@@ -222,5 +214,5 @@
 	this->mdim_array=xNew<int>(M);
 	this->ndim_array=xNew<int>(M);
-	
+
 	xMemCpy<int>(this->mdim_array,in_mdim_array,M);
 	xMemCpy<int>(this->ndim_array,in_ndim_array,M);
Index: issm/trunk/src/c/classes/objects/Params/DoubleMatArrayParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleMatArrayParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleMatArrayParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for object holding an array of serial matrices
  */
-
 
 #ifndef _DOUBLEMATARRAYPARAM_H_
@@ -23,9 +22,9 @@
 
 	private: 
-		int      enum_type;
-		IssmDouble** array; //array of matrices
-		int      M; //size of array
-		int*     mdim_array; //m-dimensions of matrices in the array
-		int*     ndim_array; //n-dimensions -f matrices in the array
+		int          enum_type;
+		IssmDouble **array;        //array of matrices
+		int          M;            //size of array
+		int         *mdim_array;   //m-dimensions of matrices in the array
+		int         *ndim_array;   //n-dimensions -f matrices in the array
 
 	public:
@@ -39,5 +38,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -59,4 +57,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << "cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << "cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << "cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/DoubleMatParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleMatParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleMatParam.cpp	(revision 13975)
@@ -58,5 +58,5 @@
 
 	int i,j;
-	
+
 	_printLine_("DoubleMatParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -72,10 +72,4 @@
 int    DoubleMatParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION DoubleMatParam::MyRank{{{*/
-int    DoubleMatParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION DoubleMatParam::ObjectEnum{{{*/
 int DoubleMatParam::ObjectEnum(void){
@@ -87,5 +81,5 @@
 /*FUNCTION DoubleMatParam::copy{{{*/
 Object* DoubleMatParam::copy() {
-	
+
 	return new DoubleMatParam(this->enum_type,this->value,this->M,this->N);
 
Index: issm/trunk/src/c/classes/objects/Params/DoubleMatParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleMatParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleMatParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _DOUBLEMATPARAM_H_
@@ -23,8 +22,8 @@
 
 	protected: 
-		int enum_type;
-		IssmDouble* value;
-		int M;
-		int N;
+		int         enum_type;
+		IssmDouble *value;
+		int         M;
+		int         N;
 
 	public:
@@ -38,5 +37,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -58,4 +56,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/DoubleParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleParam.cpp	(revision 13975)
@@ -53,10 +53,4 @@
 int    DoubleParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION DoubleParam::MyRank{{{*/
-int    DoubleParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION DoubleParam::ObjectEnum{{{*/
 int DoubleParam::ObjectEnum(void){
@@ -68,5 +62,5 @@
 /*FUNCTION DoubleParam::copy{{{*/
 Object* DoubleParam::copy() {
-	
+
 	return new DoubleParam(this->enum_type,this->value);
 
Index: issm/trunk/src/c/classes/objects/Params/DoubleParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _DOUBLEPARAM_H_
@@ -24,5 +23,5 @@
 	private: 
 		/*just hold 3 values for 3 vertices: */
-		int enum_type;
+		int        enum_type;
 		IssmDouble value;
 
@@ -37,5 +36,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -57,4 +55,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){this->value=(IssmDouble)boolean;}
Index: issm/trunk/src/c/classes/objects/Params/DoubleVecParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleVecParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleVecParam.cpp	(revision 13975)
@@ -57,5 +57,5 @@
 
 	int i;
-	
+
 	_printLine_("DoubleVecParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -69,10 +69,4 @@
 int    DoubleVecParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION DoubleVecParam::MyRank{{{*/
-int    DoubleVecParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION DoubleVecParam::ObjectEnum{{{*/
 int DoubleVecParam::ObjectEnum(void){
@@ -84,5 +78,5 @@
 /*FUNCTION DoubleVecParam::copy{{{*/
 Object* DoubleVecParam::copy() {
-	
+
 	return new DoubleVecParam(this->enum_type,this->values,this->M);
 
Index: issm/trunk/src/c/classes/objects/Params/DoubleVecParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/DoubleVecParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/DoubleVecParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _DOUBLEVECPARAM_H_
@@ -23,7 +22,7 @@
 
 	private: 
-		int enum_type;
-		IssmDouble* values;
-		int M;
+		int         enum_type;
+		IssmDouble *values;
+		int         M;
 
 	public:
@@ -37,5 +36,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -57,4 +55,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
@@ -72,5 +71,5 @@
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
 		void  UnitConversion(int direction_enum);
-		
+
 		void GetParameterName(char**pname);
 		/*}}}*/
Index: issm/trunk/src/c/classes/objects/Params/FileParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/FileParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/FileParam.cpp	(revision 13975)
@@ -56,10 +56,4 @@
 int    FileParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION FileParam::MyRank{{{*/
-int    FileParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION FileParam::ObjectEnum{{{*/
 int FileParam::ObjectEnum(void){
@@ -71,5 +65,5 @@
 /*FUNCTION FileParam::copy{{{*/
 Object* FileParam::copy() {
-	
+
 	return new FileParam(this->enum_type,this->value);
 
Index: issm/trunk/src/c/classes/objects/Params/FileParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/FileParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/FileParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _FILEPARAM_H_
@@ -36,5 +35,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -56,4 +54,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){*pfid=value;};
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a string");}
Index: issm/trunk/src/c/classes/objects/Params/GenericParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/GenericParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/GenericParam.h	(revision 13975)
@@ -49,5 +49,4 @@
                 void  Echo() {DeepEcho();};
                 int   Id(){ return -1; };
-                int   MyRank() { extern int my_rank; return my_rank;} ;
                 int   ObjectEnum() {return AdolcParamEnum;};
 
@@ -80,4 +79,5 @@
                 void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(myEnumVal) << " cannot return a Mat");}
                 void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(myEnumVal) << " cannot return a FILE");}
+				void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(myEnumVal) << " cannot return a DataSet");}
 
                 void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(myEnumVal) << " cannot hold a bool");}
@@ -99,4 +99,3 @@
 };
 
-
 #endif /* GENERICPARAM_H_ */
Index: issm/trunk/src/c/classes/objects/Params/IntMatParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/IntMatParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/IntMatParam.cpp	(revision 13975)
@@ -58,5 +58,5 @@
 
 	int i,j;
-	
+
 	_printLine_("IntMatParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -72,10 +72,4 @@
 int    IntMatParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION IntMatParam::MyRank{{{*/
-int    IntMatParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION IntMatParam::ObjectEnum{{{*/
 int IntMatParam::ObjectEnum(void){
@@ -87,5 +81,5 @@
 /*FUNCTION IntMatParam::copy{{{*/
 Object* IntMatParam::copy() {
-	
+
 	return new IntMatParam(this->enum_type,this->value,this->M,this->N);
 
Index: issm/trunk/src/c/classes/objects/Params/IntMatParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/IntMatParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/IntMatParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _INTMATPARAM_H_
@@ -38,5 +37,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -58,4 +56,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/IntParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/IntParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/IntParam.cpp	(revision 13975)
@@ -56,10 +56,4 @@
 int    IntParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION IntParam::MyRank{{{*/
-int    IntParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION IntParam::ObjectEnum{{{*/
 int IntParam::ObjectEnum(void){
@@ -71,5 +65,5 @@
 /*FUNCTION IntParam::copy{{{*/
 Object* IntParam::copy() {
-	
+
 	return new IntParam(this->enum_type,this->value);
 
Index: issm/trunk/src/c/classes/objects/Params/IntParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/IntParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/IntParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _INTPARAM_H_
@@ -37,5 +36,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -57,4 +55,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a bool");}
Index: issm/trunk/src/c/classes/objects/Params/IntVecParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/IntVecParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/IntVecParam.cpp	(revision 13975)
@@ -73,5 +73,5 @@
 
 	int i;
-	
+
 	_printLine_("IntVecParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -85,10 +85,4 @@
 int    IntVecParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION IntVecParam::MyRank{{{*/
-int    IntVecParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION IntVecParam::ObjectEnum{{{*/
 int IntVecParam::ObjectEnum(void){
@@ -100,5 +94,5 @@
 /*FUNCTION IntVecParam::copy{{{*/
 Object* IntVecParam::copy() {
-	
+
 	return new IntVecParam(this->enum_type,this->values,this->M);
 
Index: issm/trunk/src/c/classes/objects/Params/IntVecParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/IntVecParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/IntVecParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _INTVECPARAM_H_
@@ -38,5 +37,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -58,4 +56,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
@@ -73,5 +72,5 @@
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
 		void  UnitConversion(int direction_enum);
-		
+
 		void GetParameterName(char**pname);
 		/*}}}*/
Index: issm/trunk/src/c/classes/objects/Params/MatrixParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/MatrixParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/MatrixParam.cpp	(revision 13975)
@@ -55,5 +55,4 @@
 void MatrixParam::DeepEcho(void){
 
-	int i;
 	_printLine_("MatrixParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -63,10 +62,4 @@
 /*FUNCTION MatrixParam::Id{{{*/
 int    MatrixParam::Id(void){ return -1; }
-/*}}}*/
-/*FUNCTION MatrixParam::MyRank{{{*/
-int    MatrixParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
 /*}}}*/
 /*FUNCTION MatrixParam::ObjectEnum{{{*/
@@ -79,5 +72,5 @@
 /*FUNCTION MatrixParam::copy{{{*/
 Object* MatrixParam::copy() {
-	
+
 	return new MatrixParam(this->enum_type,this->value);
 
@@ -103,8 +96,8 @@
 /*FUNCTION MatrixParam::SetValue{{{*/
 void  MatrixParam::SetValue(Matrix<IssmDouble>* matrix){
-	
+
 	/*avoid leak: */
 	xdelete(&value);
-	
+
 	/*copy: */
 	value=matrix->Duplicate();
Index: issm/trunk/src/c/classes/objects/Params/MatrixParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/MatrixParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/MatrixParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for MatrixParam object
  */
-
 
 #ifndef _MATRIXPARAM_H_
@@ -37,5 +36,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -57,4 +55,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** poutput);
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/Param.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/Param.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/Param.h	(revision 13975)
@@ -2,5 +2,4 @@
  * \brief abstract class for Param object
  */ 
-
 
 #ifndef _PARAM_H_
@@ -41,5 +40,6 @@
 		virtual void  GetParameterValue(Matrix<IssmDouble>** pmat)=0;
 		virtual void  GetParameterValue(FILE** pfid)=0;
-		
+		virtual void  GetParameterValue(DataSet** pdataset)=0;
+
 		virtual void  SetValue(bool boolean)=0;
 		virtual void  SetValue(int integer)=0;
Index: issm/trunk/src/c/classes/objects/Params/StringArrayParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/StringArrayParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/StringArrayParam.cpp	(revision 13975)
@@ -46,12 +46,12 @@
 	}
 	else value=NULL;
-	
+
 }
 /*}}}*/
 /*FUNCTION StringArrayParam::~StringArrayParam(){{{*/
 StringArrayParam::~StringArrayParam(){
-		
+
 	int i;
-	
+
 	char* string=NULL;
 	for(i=0;i<this->numstrings;i++){
@@ -86,10 +86,4 @@
 int    StringArrayParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION StringArrayParam::MyRank{{{*/
-int    StringArrayParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION StringArrayParam::ObjectEnum{{{*/
 int StringArrayParam::ObjectEnum(void){
@@ -101,5 +95,5 @@
 /*FUNCTION StringArrayParam::copy{{{*/
 Object* StringArrayParam::copy() {
-	
+
 	return new StringArrayParam(this->enum_type,this->value,this->numstrings);
 
@@ -110,5 +104,5 @@
 /*FUNCTION StringArrayParam::GetParameterValue{{{*/
 void  StringArrayParam::GetParameterValue(char*** pstringarray,int* pM){
-	
+
 	int   i;
 	char** outstrings=NULL;
@@ -146,5 +140,5 @@
 /*FUNCTION StringArrayParam::SetValue{{{*/
 void  StringArrayParam::SetValue(char** stringarray,int M){
-	
+
 	int   i;
 	char *string     = NULL;
Index: issm/trunk/src/c/classes/objects/Params/StringArrayParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/StringArrayParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/StringArrayParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _STRINGARRAYPARAM_H_
@@ -28,5 +27,4 @@
 		int      numstrings;
 
-
 	public:
 		/*StringArrayParam constructors, destructors: {{{*/
@@ -39,5 +37,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -59,4 +56,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/StringParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/StringParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/StringParam.cpp	(revision 13975)
@@ -33,5 +33,4 @@
 	xMemCpy<char>(value,in_value,(strlen(in_value)+1));
 
-	
 }
 /*}}}*/
@@ -58,10 +57,4 @@
 int    StringParam::Id(void){ return -1; }
 /*}}}*/
-/*FUNCTION StringParam::MyRank{{{*/
-int    StringParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION StringParam::ObjectEnum{{{*/
 int StringParam::ObjectEnum(void){
@@ -73,5 +66,5 @@
 /*FUNCTION StringParam::copy{{{*/
 Object* StringParam::copy() {
-	
+
 	return new StringParam(this->enum_type,this->value);
 
@@ -82,5 +75,5 @@
 /*FUNCTION StringParam::GetParameterValue{{{*/
 void  StringParam::GetParameterValue(char** pstring){
-	
+
 	char* outstring=NULL;
 	int   stringsize;
@@ -102,7 +95,7 @@
 /*FUNCTION StringParam::SetValue{{{*/
 void  StringParam::SetValue(char* string){
-	
+
 	int   stringsize;
-	
+
 	/*avoid leak: */
 	xDelete<char>(this->value);
Index: issm/trunk/src/c/classes/objects/Params/StringParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/StringParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/StringParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _STRINGPARAM_H_
@@ -24,6 +23,6 @@
 	private: 
 		/*just hold 3 values for 3 vertices: */
-		int enum_type;
-		char* value;
+		int   enum_type;
+		char *value;
 
 	public:
@@ -37,5 +36,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -57,4 +55,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Bool param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/TransientParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/TransientParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/TransientParam.cpp	(revision 13975)
@@ -61,10 +61,8 @@
 void TransientParam::DeepEcho(void){
 
-	int i,j;
-	
 	_printLine_("TransientParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
 	_printLine_("   size: " << this->N);
-	for(i=0;i<this->N;i++){
+	for(int i=0;i<this->N;i++){
 		_printLine_(   "time: " << this->timesteps[i] << " value: " << this->values[i]);
 	}
@@ -73,10 +71,4 @@
 /*FUNCTION TransientParam::Id{{{*/
 int    TransientParam::Id(void){ return -1; }
-/*}}}*/
-/*FUNCTION TransientParam::MyRank{{{*/
-int    TransientParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
 /*}}}*/
 /*FUNCTION TransientParam::ObjectEnum{{{*/
@@ -89,5 +81,5 @@
 /*FUNCTION TransientParam::copy{{{*/
 Object* TransientParam::copy() {
-	
+
 	return new TransientParam(this->enum_type,this->values,this->timesteps,this->N);
 
Index: issm/trunk/src/c/classes/objects/Params/TransientParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/TransientParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/TransientParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _TRANSIENTPARAM_H_
@@ -23,8 +22,8 @@
 
 	protected: 
-		int enum_type;
-		int N;
-		IssmDouble* values;
-		IssmDouble* timesteps;
+		int         enum_type;
+		int         N;
+		IssmDouble *values;
+		IssmDouble *timesteps;
 
 	public:
@@ -38,5 +37,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -58,4 +56,5 @@
 		void  GetParameterValue(Matrix<IssmDouble>** pmat){_error_("Parameter " <<EnumToStringx(enum_type) << " cannot return a Mat");}
 		void  GetParameterValue(FILE** pfid){_error_("Parameter " <<EnumToStringx(enum_type) << " cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Parameter " <<EnumToStringx(enum_type) << " cannot hold a boolean");}
Index: issm/trunk/src/c/classes/objects/Params/VectorParam.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Params/VectorParam.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/VectorParam.cpp	(revision 13975)
@@ -57,5 +57,4 @@
 void VectorParam::DeepEcho(void){
 
-	int i;
 	_printLine_("VectorParam:");
 	_printLine_("   enum: " << this->enum_type << " (" << EnumToStringx(this->enum_type) << ")");
@@ -65,10 +64,4 @@
 /*FUNCTION VectorParam::Id{{{*/
 int    VectorParam::Id(void){ return -1; }
-/*}}}*/
-/*FUNCTION VectorParam::MyRank{{{*/
-int    VectorParam::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
 /*}}}*/
 /*FUNCTION VectorParam::ObjectEnum{{{*/
@@ -81,5 +74,5 @@
 /*FUNCTION VectorParam::copy{{{*/
 Object* VectorParam::copy() {
-	
+
 	return new VectorParam(this->enum_type,this->value);
 
@@ -109,5 +102,5 @@
 	/*avoid leak: */
 	xdelete(&value);
-	
+
 	/*copy: */
 	value=vector->Duplicate();
Index: issm/trunk/src/c/classes/objects/Params/VectorParam.h
===================================================================
--- issm/trunk/src/c/classes/objects/Params/VectorParam.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Params/VectorParam.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for triavertexinput object
  */
-
 
 #ifndef _VECTORPARAM_H_
@@ -37,5 +36,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -57,4 +55,5 @@
 		void  GetParameterValue(Vector<IssmDouble>** poutput);
 		void  GetParameterValue(FILE** pfid){_error_("Vector of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return a FILE");}
+		void  GetParameterValue(DataSet** pdataset){_error_("Param "<< EnumToStringx(enum_type) << " cannot return a DataSet");}
 
 		void  SetValue(bool boolean){_error_("Vector of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold a boolean");}
